Subject: bug#9084: 24.0.50; displaying man pages splits the window and formats the text for the full width of the whole frame rather than for the width of the window the text is displayed in, which is only 1/2 the width of the frame

From: martin rudalics <[email-masked]>
Date: Fri, 22 Jul 2011 08:29:25 +0200

> Currently I'm testing your window changes.  Do you think
 > creating an automated test would help?

Yes.  Just that I didn't get around writing one.

 > But calling `make-frame' from the window test
 > fails with:
 >
 >   Test window-tests backtrace:
 >     make-terminal-frame(nil)
 >     tty-create-frame-with-faces(nil)
 >     make-frame()
 >     ...
 >   Test window-tests condition:
 >       (error "Unknown terminal type")

I don't understand what you tried.  Testing frame creation in batch mode
hardly works if you don't have Emacs wait for the window manager to come
up with a window.  Even then you probably won't be able to check whether
the frame is risen or in the foreground.

 > How could Ert help testing in interactive mode?

I never tried Ert.

martin